export interface AdTypeType {
    readonly NONE: number;
    readonly BANNER: number;
    readonly INTERSTITIAL: number;
    readonly BANNER_BOTTOM: number;
    readonly BANNER_TOP: number;
    readonly REWARDED_VIDEO: number;
    readonly MREC: number;
}
declare type Map = {
    [key: string]: any;
};
export declare const AppodealAdType: AdTypeType;
export declare enum AppodealLogLevel {
    NONE = "none",
    DEBUG = "debug",
    VERBOSE = "verbose"
}
export declare enum AppodealGender {
    OTHER = 0,
    FEMALE = 1,
    MALE = 2
}
export declare enum AppodealConsentStatus {
    UNKNOWN = 0,
    REQUIRED = 1,
    NOT_REQUIRED = 2,
    OBTAINED = 3
}
export interface AppodealReward {
    name: string;
    amount: string;
}
export interface AppodealIOSPurchase {
    productId: string;
    productType: AppodealIOSPurchaseType;
    price: number;
    currency: string;
    transactionId: string;
    additionalParameters: Map | null;
}
export declare enum AppodealIOSPurchaseType {
    CONSUMABLE = 0,
    NON_CONSUMABLE = 1,
    AUTO_RENEWABLE_SUBSCRIPTION = 2,
    NON_RENEWING_SUBSCRIPTION = 3
}
export interface AppodealAndroidPurchase {
    publicKey: string;
    productType: AppodealAndroidPurchaseType;
    signature: string;
    purchaseData: string;
    purchaseToken: string;
    timestamp: number;
    developerPayload: string;
    price: string;
    currency: string;
    orderId: string;
    sku: string;
    additionalParameters: Map | null;
}
export declare enum AppodealAndroidPurchaseType {
    IN_APP = 0,
    SUBSCRIPTION = 1
}
export interface AppodealAdRevenue {
    networkName: string;
    adUnitName: string;
    placement: string;
    revenuePrecision: string;
    demandSource: string;
    currency: string;
    revenue: number;
    adType: AdTypeType;
}
export {};
